<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl" 
        xmlns="http://www.w3.org/TR/REC-html40" result-ns="">

<xsl:template match="registeredUser">
<HTML>
<HEAD><TITLE>Registered Users</TITLE></HEAD>
<BODY>
<BR/>
<BR/>
<CENTER><H1>Registered Users</H1></CENTER>

<xsl:for-each select="User">
<CENTER>
<TABLE BORDER="3" CELLSPACING="0" CELLPADDING="4" WIDTH="75%">
<xsl:apply-templates/>
</TABLE>
</CENTER>
<BR/>
<BR/>
</xsl:for-each>

</BODY>
</HTML>
</xsl:template>

<xsl:template match ="Version">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match ="lastUpdate">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match ="nUsers">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match ="userID">
 <TR>
 <TD ALIGN="CENTER" VALIGN="CENTER" BGCOLOR="#3E677C"><B>
 <FONT SIZE="+1">UserID: 
<xsl:apply-templates/>
 </FONT>
 </B>
 </TD>
 </TR>
</xsl:template>

<xsl:template match ="projectNumber">
 <TR>
 <TD ALIGN="CENTER" VALIGN="CENTER" BGCOLOR="#3E677C"><B>
 <FONT SIZE="+1">Project Number: 
<xsl:apply-templates/>
 </FONT>
 </B>
 </TD>
 </TR>
</xsl:template>

<xsl:template match ="email">
<TD ALIGN="CENTER" VALIGN="CENTER" BGCOLOR="#DDDDDD">
<xsl:apply-templates/>
</TD>
</xsl:template>

<xsl:template match ="organization">
<TR>
<TD ALIGN="CENTER" VALIGN="CENTER" BGCOLOR="#DDDDDD">
<B>Organization: <xsl:apply-templates/></B>
</TD>
</TR>
</xsl:template>

<xsl:template match ="Person">
<TR>
<TD ALIGN="CENTER" VALIGN="CENTER" BGCOLOR="#66776D">
<xsl:apply-templates/>
</TD>
</TR>
</xsl:template>

<xsl:template match ="title">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match ="firstName">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match ="middleName">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match ="lastName">
<xsl:apply-templates/>, 
</xsl:template>

<xsl:template match ="Address">
<TR>
<TD ALIGN="CENTER" VALIGN="CENTER" BGCOLOR="#DDDDDD">
<xsl:apply-templates/>
</TD>
</TR>
</xsl:template>

<xsl:template match ="street1">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match ="street2">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match ="mailStop">
<xsl:apply-templates/> 
</xsl:template>

<xsl:template match ="building">
<xsl:apply-templates/>
<BR/>
</xsl:template>

<xsl:template match ="city">
<xsl:apply-templates/>, 
</xsl:template>

<xsl:template match ="state">
<xsl:apply-templates/> 
</xsl:template>

<xsl:template match ="zipcode">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match ="zip4">
<xsl:apply-templates/>
<BR/>
</xsl:template>

<xsl:template match ="contact">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match ="officePhone">
<TR>
<TD ALIGN="CENTER" VALIGN="CENTER" BGCOLOR="#DDDDDD">
<xsl:apply-templates/>
</TD>
</TR>
</xsl:template>

<xsl:template match ="faxNumber">
<TR>
<TD ALIGN="CENTER" VALIGN="CENTER" BGCOLOR="#DDDDDD">
<xsl:apply-templates/>
</TD>
</TR>
</xsl:template>

</xsl:stylesheet>

