package EDU.syr.npac.frontend;

import WebFlow.*;

import WebFlow.QS.*;

import java.util.*;

import WebFlow.event.*;

import EDU.auburn.VGJ.*;

import EDU.auburn.VGJ.gui.*;



import javax.swing.JTextArea;



import javax.swing.JTree;

import javax.swing.tree.DefaultMutableTreeNode;

import javax.swing.JScrollPane;

import javax.swing.JPanel;

import javax.swing.JFrame;

import java.awt.GridLayout;

import java.awt.event.WindowListener;

import java.awt.event.WindowAdapter;

import java.awt.event.WindowEvent;

import java.util.Enumeration;

import java.awt.*;

import java.awt.event.*;

import java.lang.*;

import java.util.*;

import java.io.*;

import java.net.*;



import javax.swing.JLabel;

import javax.swing.JTextField;

import javax.swing.event.*;

import javax.swing.tree.*;



import org.omg.CORBA.*;





public class controls3 extends controls{

  JLabel filterLable ;

  JTextField filterText;

  JTextField hostText,portText;

  DefaultMutableTreeNode top,rootNode ;

  String rootDir,relativeRootDir;

  DefaultMutableTreeNode stack[] = new DefaultMutableTreeNode[16];

  int  s_top=0;

  static JFrame frame;

  Panel p;

  static String InitialRootDir="d:\\Alexey\\WF_TOM\\WWW\\Gateway\\QSData";
  int mversion;

  //Back-End module reference

  FileBrowser fileBrowser;

  String[] args;

  ORB orb;

  String ref;

  boolean URLready;

  private Thread runner;

        

  

  public controls3 (String host, int port, GraphWindow GWindow, int n) {

    super(host,port,GWindow);

    //fileBrowser = FileBrowserHelper.narrow(FBmodule);

    FileTreeModel  root = new FileTreeModel(InitialRootDir,this);

    refreshFileBrowser(root ,InitialRootDir);

    mversion = n+1;

  }



 public void refreshFileBrowser(FileTreeModel  root,String rootName)

  {

    

    //remove all the components inside the Panel

    removeAll();

    

    GridBagLayout gridbag = new GridBagLayout();

    GridBagConstraints c = new GridBagConstraints();

    setFont(new Font("Helvetica", Font.PLAIN, 14));

    setLayout(gridbag);



    selectedFile file_field = new selectedFile("",15,"file",this);

    

    DirTree tree = new DirTree(root,this);

    JScrollPane scrollPane = new JScrollPane(tree);

    tree.addMouseListener(file_field);

    tree.addTreeExpansionListener(root);

    root.addTreeModelListener(tree);

       

    c.fill = GridBagConstraints.HORIZONTAL;

    c.gridwidth = GridBagConstraints.REMAINDER;



     //Next row

    JLabel label = new JLabel("Enter Path and Folder Name :");

    gridbag.setConstraints(label, c);

    add(label);



    final selectedFile directory_field=new selectedFile(rootName,15,

					       	"directory",this);

    tree.addMouseListener(directory_field);

    directory_field.addActionListener(root);

    



    gridbag.setConstraints(directory_field, c);

    add(directory_field);



    c.fill = GridBagConstraints.BOTH;

    c.weightx = 1.0;

    c.weighty = 1.0;



    c.gridheight = 2;

    c.gridwidth = GridBagConstraints.REMAINDER;

    gridbag.setConstraints(scrollPane, c);

    add(scrollPane);



    //Next row

    c.weightx = 0.0;

    c.weighty = 0.0;

    c.fill = GridBagConstraints.HORIZONTAL;

    label = new JLabel("Enter File Name :");

    gridbag.setConstraints(label, c);

    add(label);



    gridbag.setConstraints(file_field, c);

    add(file_field);



    //Erol modifications

    directory_field.addActionListener(file_field);

    tree.addTreeExpansionListener(directory_field);

    tree.addTreeExpansionListener(file_field);

    //Erol



    c.fill = GridBagConstraints.NONE;



    //Next Row

    c.fill = GridBagConstraints.NONE;

    Button button = new Button("OK");

    c.gridwidth = GridBagConstraints.RELATIVE;

    gridbag.setConstraints(button, c);

    add(button);

    button.addActionListener(file_field);

 

    button = new Button("Cancel");

    c.gridwidth = GridBagConstraints.REMAINDER;

    gridbag.setConstraints(button, c);

    add(button);

  }

    public static String  getIORFromURL(String url) {






	System.out.println("Slave WebFlow is getting IOR from url:"+url);






	String masterServerIOR="";

	String thisLine=null;

	//Open the URL for reading

      try {






        URL u = new URL(url);

        // now turn the URL into a DataInputStream






        try {






          DataInputStream theHTML = new DataInputStream(u.openStream());






          try {

            while ((thisLine = theHTML.readLine()) != null) {

	    //System.out.println("configReader:getIORfromURL:line"+thisLine);

		  masterServerIOR += thisLine;






            } // while loop ends here

          }  // end try



          catch (Exception e) {



	      //System.out.println("configReader:getIORfromURL:"+e);



          }



        } // end try



        catch (Exception e) {



	    //System.out.println("configReader:getIORfromURL:"+e);



        }







      } // end try



      catch (MalformedURLException e) {



        System.out.println("configReader:getIORfromURL:"+url + " is not a parseable URL");



        System.out.println("configReader:getIORfromURL:"+e);



      }



      



      return masterServerIOR;



     



    }







    public synchronized void waitForURL(){



        System.err.println("waiting... "+mversion);



	try {



           wait(2000);



	} catch(InterruptedException e){



		 System.out.println("Intrrupted exc :"+e);



	}



    }







  public void start(){



  if(runner==null){



      runner=new Thread(this);



      runner.start();



    }



  }







  public void stop(){



    if(runner!=null){



    runner.stop();



    runner=null;



    }



  }







    public void run() {



  /* get access to ORB */



  args = new String[1];



  args[0]="http://tennessee.npac.syr.edu/IOR/master.txt";



  //args[0]="http://134.164.35.154:8001/IOR/master.txt";



  System.out.println(args[0]);



    try {

    System.out.println("controls3: get applet...");



    VGJ a = GWindow.applet;

    System.out.println("controls3: get orb...");



    orb = a.getORB();



    //no, this comes from middle-tier String ref = a.getModRef("FileBrowser");

    //get it from the WebServer instead

 String webIOR = "http://tennessee.npac.syr.edu/IOR/QS/FileBrowser"+mversion+".txt";

//String webIOR = "http://134.164.35.154:8001/IOR/QS/FileBrowser"+mversion+".txt";

  System.out.println(webIOR);

    // must wait till the file is written...

    // remember to delete it on exit!



    URLready = false;



  



    java.net.URL url = new java.net.URL(webIOR);



    InputStream istream;



  



 while(!URLready) {



    try {



      istream = url.openStream();



  		BufferedReader in = new BufferedReader(new InputStreamReader(istream));



  	 	ref = in.readLine();



  		istream.close();



                URLready = true;



      }



    catch(IOException e) {



      waitForURL();



      }



  }



    



    org.omg.CORBA.Object m_obj=orb.string_to_object(ref);



    if(m_obj == null) {



       System.out.println("m_obj is null ??????");



    }

    else {

       System.out.println("m_obj is OK");

    }

   

    fileBrowser = FileBrowserHelper.narrow(m_obj);

    if(fileBrowser == null) {

        System.out.println("narrow(m_obj=fileBrowser");}

    else {

        System.out.println("controls: FileBrowser OK");

    }

    }catch(Exception e) {



     System.out.println(e);



    }

   

    }







}





class selectedFile extends JTextField implements MouseListener,ActionListener,

TreeExpansionListener

{

public String name;

public String fullFilePath;

controls3 viewer;

  

public selectedFile(String text,int colums,String name_,controls3 viewer_)

  {

    super(text,colums);

    name = name_;

    addActionListener(this);

    viewer = viewer_;



    //Erol

    fullFilePath = viewer.InitialRootDir;

    //Erol

  }



public void treeExpanded(TreeExpansionEvent event)

  {

    System.out.println("treeExpanded is Called !!");

  

    TreePath selPath = event.getPath();

            

    String newDirName = DirTree.getSelectedItem(selPath);

    System.out.println("newDirName "+newDirName);

    if (name.equals("directory"))

      setText(newDirName);

    fullFilePath = newDirName;

    

    

  }



public void treeCollapsed(TreeExpansionEvent event)

  {

    System.out.println("treeCollapsed is Called !!");

  }



 //Erol modifications

public String getEntered()

  {

    String se = getText();

    String fe = fullFilePath;

    int pos   = fe.lastIndexOf(File.separator);

    if (pos > 0){

      fe  = fe.substring(0,pos)+File.separator;

      fe += se;

    }

    else{

      fe += File.separator+se;

    }

    return fe;

  }



 public void actionPerformed(ActionEvent e) {

   String command = e. getActionCommand();

   String entered = getEntered();



   /* Receive event from directory_field and update fullFilePath */

   java.lang.Object source = e.getSource();

   if (source.getClass().getSuperclass() == this.getClass().getSuperclass()){

     fullFilePath = command;

     System.out.println("getting event from Directory");

     //viewer.GWindow.show();

     return;

   }

   

   if (name.equals("file")){

     System.out.println("File :"+entered+" are sent in ActionPerformed!!!"); 

     //ClientSocket socket = viewer.waitUntilSocketReady() ;

     //socket.send("SWING_REPLY"+entered);

     viewer.fileBrowser.setFileName(entered);

   }

  

 }

  

  



public void mouseClicked(MouseEvent e) {



  String dirName=null,fileName=null;

  

  System.out.println("inside  selectedFile!!!");

  Component source = e.getComponent();

  DirTree tree = (DirTree)source;

  

  int selRow = tree.getRowForLocation(e.getX(), e.getY());

  TreePath selPath = tree.getPathForLocation(e.getX(), e.getY());

      

  if (selPath != null){

    

    fullFilePath = tree.getSelectedItem(selPath);

    int index = fullFilePath.lastIndexOf(File.separator);

    fileName  = fullFilePath.substring(index+1);

    dirName   = fullFilePath.substring(0,index);

  

    if(selRow != -1) {

      if(e.getClickCount() == 1) {

	System.out.println("One Cliect pressed inside selectedfile !!!");

	if (name.equals("file"))

	  setText(fileName);

	else if (name.equals("directory"))

	  setText(dirName);

      }

      else if(e.getClickCount() == 2) {

	System.out.println("Two Cliect pressed inside selectedfile !!!");

	if (name.equals("file"))

	  setText(fileName);

	else if (name.equals("directory"))

	  setText(dirName);



	if ((fileName.length() > 0)&&(name.equals("file"))){

	  String entered = getEntered();

	  System.out.println("File :"+entered+" are sent!!!");

	  //ClientSocket socket = viewer.waitUntilSocketReady() ;

	  //socket.send("SWING_REPLY"+entered);

          viewer.fileBrowser.setFileName(entered);

	}

      }

    }

  }

  

}

  



 public void   mouseEntered(MouseEvent e) {;  }

     

 public void     mouseExited(MouseEvent e) {;  }

      

 public void     mousePressed(MouseEvent e) {;  }

      

 public void     mouseReleased(MouseEvent e) {;  }



  

}







class DirTree extends JTree implements MouseListener,TreeModelListener

{

  JLabel filterLable ;

  JTextField filterText;

  JTextField hostText,portText;

  public DefaultMutableTreeNode top,rootNode ;

  String rootDir,relativeRootDir;

  DefaultMutableTreeNode stack[] = new DefaultMutableTreeNode[16];

  int  s_top=0;

  static JFrame frame;

  Panel p;

  public controls3 viewer;

  DataInputStream dis;

  DataOutputStream dos;

  

  

 public DirTree(DefaultTreeModel  root,controls3 viewer_)

  {

    super(root);

    addMouseListener(this);

    viewer = viewer_;

  }



    





  public void mouseClicked(MouseEvent e) {



    System.out.println("inside DIRTREE !!!");

    Component source = e.getComponent();

    DirTree tree = (DirTree)source;

  

    int selRow = tree.getRowForLocation(e.getX(), e.getY());

    TreePath selPath = tree.getPathForLocation(e.getX(), e.getY());

    if(selRow != -1) {

      if(e.getClickCount() == 1) {

	System.out.println("One Cliect pressed inside DIRTREE !!!");

	//mySingleClick(selRow, selPath);

      }

      else if(e.getClickCount() == 2) {

	System.out.println("Two Cliect pressed inside DIRTREE !!!");

	fireTreeExpanded(selPath);

      }

    }

  

  }

public static String getSelectedItem(TreePath selPath)

  {

    int pcount = selPath.getPathCount();

    java.lang.Object pathComponent =  selPath.getPathComponent(pcount-1);

    

   

    String fullPath="";

    for(int i=0;i<pcount;i++){

      TreeNode tn = (TreeNode)(selPath.getPathComponent(i));

      java.lang.Object o = ((DefaultMutableTreeNode)tn).getUserObject();

      TreeNodeInfo tinfo = (TreeNodeInfo)o;



      String append = "";

      if ((tinfo.isDir())||((pcount>1)&&(i==0)))

	append = File.separator;

      fullPath += tinfo.toString()+append;

    }

    

    return fullPath;

  }



 public void   mouseEntered(MouseEvent e) {;  }

     

 public void     mouseExited(MouseEvent e) {;  }

      

 public void     mousePressed(MouseEvent e) {;  }

      

 public void     mouseReleased(MouseEvent e) {;  }

 



public void   treeNodesChanged(TreeModelEvent e)

  {

    System.out.println("treeNodesChanged is CALLED !!! ");

    

  }

  



 public void    treeNodesInserted(TreeModelEvent e) 

{

    System.out.println(" treeNodesInserted  is CALLED !!! ");

    

  }

 public void    treeNodesRemoved(TreeModelEvent e) 

{

    System.out.println("treeNodesRemoved  is CALLED !!! ");

    

  }



 public void    treeStructureChanged(TreeModelEvent e)

 {

    System.out.println("treeStructureChanged  is CALLED !!! ");

    int row = getRowForPath(e.getTreePath());

    System.out.println("treeStructureChanged:row:"+row);

    //expandRow(row);

    

    

 }      

}



class FileTreeModel extends DefaultTreeModel implements  TreeExpansionListener,

ActionListener

{

  

  static controls3 viewer;

  DefaultMutableTreeNode root;

  

public FileTreeModel(String dirFullPath,controls3 viewer_)

  {

    super(constructTree(dirFullPath));

    viewer = viewer_;

    root   = (DefaultMutableTreeNode)(getRoot());

    

  }



  public void actionPerformed(ActionEvent e) {

      String dirname = e.getActionCommand();

      System.out.println("ActionListener: directory name: "+dirname);

      root.removeAllChildren();

      updateTree(dirname,root,dirname);

      System.out.println("After updateTree");

      reload();

      System.out.println("ActionListener:inside FileTreeModel");

   }



  public static DefaultMutableTreeNode constructTree(String dirFullPath)

    {

      String s;

      DefaultMutableTreeNode top=null,one=null;

      

      System.out.println("Filter :"+controls3.InitialRootDir);

      if (dirFullPath.equals(controls3.InitialRootDir)){

	TreeNodeInfo firstNodeInfo = new TreeNodeInfo(".");

	firstNodeInfo.setDir();

	top = new DefaultMutableTreeNode(firstNodeInfo);

        return top;

	

      }

        

      //ClientSocket socket = viewer.waitUntilSocketReady() ;

      //socket.send("SWING_REQ"+dirFullPath);



      String []flist = viewer.fileBrowser.refreshDirectory(dirFullPath);



      //String pwd = socket.receive();

      String pwd = flist[0];



	TreeNodeInfo firstNodeInfo = new TreeNodeInfo(pwd);

	firstNodeInfo.setDir();

	top = new DefaultMutableTreeNode(firstNodeInfo);

	System.out.println("rootDir "+pwd);

        

	/*String str_nfiles = socket.receive();

	int    nfiles     = Integer.parseInt(str_nfiles);

	System.out.println("nfiles  "+nfiles);

	socket.receive(); // read string "total xxxx" 

	*/



	//extract "pwd" and "total xxxx"  from incoming flist array

        int nfiles = flist.length;

	for(int i=2;i<nfiles;i++)

	  {

	    //s = socket.receive();

	    s = flist[i];

	    System.out.println("file "+s);

	    TreeNodeInfo tn = new TreeNodeInfo(s);

            if (!((tn.filename.equals("."))||(tn.filename.equals(".."))))

	      {

		System.out.println("adding to TREE");

		

		top.add(one = new DefaultMutableTreeNode(tn));

		//if this is directory, add dummy content file inside

		if (tn.isDir()){

		  //String n = "drwxr-xr-x 3 globus g_globus  3072 Apr 12 09:59 ../";

		  TreeNodeInfo tn_new = new TreeNodeInfo(".");

		  tn_new.setDummyFileName();	

		  one.add(new DefaultMutableTreeNode(tn_new));

		}

	      }

	  }

       System.out.println("end of performe ");

       return top;

       

    }

  



  

  public static DefaultMutableTreeNode   constructTreeX(String dirFullPath)  

    {

      BufferedReader theHTML = null;

      URL url = null;

      String s;

      DefaultMutableTreeNode top=null,one=null;

      String host = "osprey3.npac.syr.edu";

      int   port = 1252;



      System.out.println("Filter :/tmp");

      try{

	url = new URL("http",host,port,

		       "/cgi-bin/readAllFiles.pl?"+dirFullPath);

	url.openConnection().setUseCaches(false);

	theHTML = new BufferedReader(new InputStreamReader(url.openStream()));

      }catch (MalformedURLException ev)

	{

          System.out.println("URL error in actionPerformed (run) " + ev);

	} 

      catch (IOException ev) 

	{

          System.out.println("IOException in actionPerformed (run)"+ev); 

        }

      try{

	s = theHTML.readLine();

	TreeNodeInfo firstNodeInfo = new TreeNodeInfo(s);

	firstNodeInfo.setDir();

	top = new DefaultMutableTreeNode(firstNodeInfo);

	System.out.println("rootDir "+s);

        			

        s = theHTML.readLine();               // read string "total xxxx" 



	while((s = theHTML.readLine()) != null) { 

            System.out.println("file "+s);

	    TreeNodeInfo tn = new TreeNodeInfo(s);

            if (!((tn.filename.equals("."))||(tn.filename.equals(".."))))

	      {

		System.out.println("adding to TREE");

		

		top.add(one = new DefaultMutableTreeNode(tn));

		//if this is directory, add dummy content file inside

		if (tn.isDir()){

		  //String n = "drwxr-xr-x 3 globus g_globus  3072 Apr 12 09:59 ../";

		  TreeNodeInfo tn_new = new TreeNodeInfo(".");

		  tn_new.setDummyFileName();

		  one.add(new DefaultMutableTreeNode(tn_new));

		}

	     }

	}

	

      }catch (IOException ev) 

	{

          System.out.println("IOException in readLine()"+ev); 

        }



       System.out.println("end of performe ");

       return top;

       

    }

   

  //Is directory containing only dummy file 

public boolean isDirDummy( DefaultMutableTreeNode lastComponent)

  {

     java.lang.Object o = lastComponent.getUserObject();

     TreeNodeInfo parentInfo = (TreeNodeInfo)o;



     TreeNode removedOne = lastComponent.getChildAt(0); 

     o = ((DefaultMutableTreeNode)removedOne).getUserObject();

     TreeNodeInfo childInfo = (TreeNodeInfo)o;

     System.out.println("child="+childInfo.filename+"="+

		      "permission="+parentInfo.permission+"="+

		       "cnt="+lastComponent.getChildCount());

     



     if ((parentInfo.isDir())&&

         (lastComponent.getChildCount() == 1)&&

	 (childInfo.isDummyFileName())){

       System.out.println("it is Dummy Node");

       return true;

     }

     

     else{

       System.out.println("it is NOT Dummy Node");

       return false;

     }

     

  }



public static int  updateTree(String dirFullPath,DefaultMutableTreeNode top,

			     String lastNodeName)

    {

        String s;

        DefaultMutableTreeNode one=null;

        int childCnt=0;



        System.out.println("Filter :updateTree:"+dirFullPath);

        

	//ClientSocket socket = viewer.waitUntilSocketReady() ;

        //socket.send("SWING_REQ"+dirFullPath);



	String []flist = viewer.fileBrowser.refreshDirectory(dirFullPath);



	//String pwd = socket.receive();

        String pwd = flist[0];





	TreeNodeInfo firstNodeInfo = new TreeNodeInfo(lastNodeName);

	firstNodeInfo.setDir();

	top.setUserObject(firstNodeInfo);

	System.out.println("rootDir "+pwd);

        

	/*String str_nfiles = socket.receive();

	int    nfiles     = Integer.parseInt(str_nfiles);

	System.out.println("nfiles  "+nfiles);

	socket.receive(); // read string "total xxxx" 

	*/



	//extract "pwd" and "total xxxx"  from incoming flist

	int nfiles = flist.length;

	for(int i=2;i<nfiles;i++)

	  {

	    //s = socket.receive();

	    s = flist[i];

	    System.out.println("file "+s);

	    TreeNodeInfo tn = new TreeNodeInfo(s);

            if (!((tn.filename.equals("."))||(tn.filename.equals(".."))))

	      {

		System.out.println("adding to TREE");

		childCnt++;



		top.add(one = new DefaultMutableTreeNode(tn));

		//if this is directory, add dummy content file inside

		if (tn.isDir()){

		  //String n = "drwxr-xr-x 3 globus g_globus  3072 Apr 12 09:59 ../";

		  TreeNodeInfo tn_new = new TreeNodeInfo(".");

		  tn_new.setDummyFileName();

		  one.add(new DefaultMutableTreeNode(tn_new));

		}

	      }

	  }

       System.out.println("end of performe ");



       if (childCnt == 0){

	 //String n = "drwxr-xr-x 3 globus g_globus  3072 Apr 12 09:59 ../";

	 TreeNodeInfo tn_new = new TreeNodeInfo(".");

	 tn_new.setDummyFileName();

	 top.add(new DefaultMutableTreeNode(tn_new));

	 childCnt++;

	 

       }

       return childCnt;

    }





public int  updateTreeX(String dirFullPath,DefaultMutableTreeNode top,

		       String lastNodeName)

    {

      int childCnt=0;

      

      BufferedReader theHTML = null;

      URL url = null;

      String s;

      DefaultMutableTreeNode one=null;

      String host = "osprey3.npac.syr.edu";

      int   port = 1252;



      System.out.println("updateTree:Filter :/tmp");

      try{

	url = new URL("http",host,port,

		       "/cgi-bin/readAllFiles.pl?"+dirFullPath);

	url.openConnection().setUseCaches(false);

	theHTML = new BufferedReader(new InputStreamReader(url.openStream()));

      }catch (MalformedURLException ev)

	{

          System.out.println("URL error in actionPerformed (run) " + ev);

	} 

      catch (IOException ev) 

	{

          System.out.println("IOException in actionPerformed (run)"+ev); 

        }

      try{

	s = theHTML.readLine();

	//top = new DefaultMutableTreeNode(new TreeNodeInfo(s));

	TreeNodeInfo rootInfo = new TreeNodeInfo(lastNodeName);

	rootInfo.setDir();

	

	top.setUserObject(rootInfo);

	

	System.out.println("rootDir "+s+" dirFullPath ="+dirFullPath);

        			

        s = theHTML.readLine();               // read string "total xxxx" 

	System.out.println("total xxxx "+s);

	

 

	while((s = theHTML.readLine()) != null) { 

            System.out.println("file "+s);

	    TreeNodeInfo tn = new TreeNodeInfo(s);

            if (!((tn.filename.equals("."))||(tn.filename.equals(".."))))

	      {

		System.out.println("adding to TREE");

		childCnt++;

		

		top.add(one = new DefaultMutableTreeNode(tn));

		//if this is directory, add dummy content file inside

		if (tn.isDir()){

		  //String n = "drwxr-xr-x 3 globus g_globus  3072 Apr 12 09:59 ../";

		  TreeNodeInfo tn_new = new TreeNodeInfo(".");

	        tn_new.setDummyFileName() ;

		  one.add(new DefaultMutableTreeNode(tn_new));

		}

	     }

	}

	

      }catch (IOException ev) 

	{

          System.out.println("IOException in readLine()"+ev); 

        }



       System.out.println("end of performe ");

       //return top;

       if (childCnt == 0){

	 //String n = "drwxr-xr-x 3 globus g_globus  3072 Apr 12 09:59 ../";

	 TreeNodeInfo tn_new = new TreeNodeInfo(".");

	 tn_new.setDummyFileName() ;

	 top.add(new DefaultMutableTreeNode(tn_new));

	 childCnt++;

	 

       }

       return childCnt;

       

    }





public void getSelectedDirContent(TreePath selPath)

  {

    DefaultMutableTreeNode lastComponent = (DefaultMutableTreeNode)

                                           selPath.getLastPathComponent();



    java.lang.Object o = lastComponent.getUserObject();

    TreeNodeInfo tinfo = (TreeNodeInfo)o;

    TreeNode removedOne = lastComponent.getChildAt(0); 

    

    if (isDirDummy(lastComponent))

      {

	//Construct subtree

	String selectedDir = getSelectedItem(selPath);

	

	lastComponent.removeAllChildren();

	int childCnt = updateTree(selectedDir,lastComponent,tinfo.filename);

	

	//announce dummy child is removed

	int[] childIndices = new int[1];

	childIndices[0] = 0;

	TreeNode[] removedChildren = new TreeNode[1];

	removedChildren[0] = removedOne;

	nodesWereRemoved((TreeNode)lastComponent,childIndices,

			  removedChildren);



	//announce some children added to current node	

        childIndices = new int[childCnt];

	for(int i=0;i<childCnt;i++) childIndices[i] = i;

        nodesWereInserted((TreeNode)lastComponent,childIndices);



      }

  }

  

public String getSelectedItem(TreePath selPath)

  {

    int pcount = selPath.getPathCount();

    java.lang.Object pathComponent =  selPath.getPathComponent(pcount-1);

    

   

    String fullPath="";

    for(int i=0;i<pcount;i++){

      TreeNode tn = (TreeNode)(selPath.getPathComponent(i));

      java.lang.Object o = ((DefaultMutableTreeNode)tn).getUserObject();

      TreeNodeInfo tinfo = (TreeNodeInfo)o;

      System.out.println("fn ="+tinfo.filename+" perm="+tinfo.permission);

      

      String append = "";

      if ((tinfo.isDir())||((pcount>1)&&(i==0)))

	append = File.separator;

      fullPath += tinfo.toString()+append;

    }

    

    return fullPath;

  }



public void treeExpanded(TreeExpansionEvent event)

  {

    System.out.println("treeExpanded is Called !!");

  

    TreePath selPath = event.getPath();

    System.out.println("selPath "+selPath.toString());

    System.out.println("selPath count ="+selPath.getPathCount());

        

      String newDirName = getSelectedItem(selPath);

      System.out.println("newDirName "+newDirName);

      

      if (newDirName.lastIndexOf(File.separator) == newDirName.length() -1){

	getSelectedDirContent(selPath);

	System.out.println("Getting Ne directory contents: "+newDirName);

      }

    

  }



public void treeCollapsed(TreeExpansionEvent event)

  {

    System.out.println("treeCollapsed is Called !!");

  }





}



class TreeNodeInfo 

{

  String permission,ndirs,user,group,filesize,month,day,time,filename,year;

  int    nitems;

  String separator;

  String sysdepdir;

  

  public boolean isDir()

  {

	if (permission == null)

	   return false;



	if ((separator.equals("/"))&&(permission.equals(sysdepdir)))

	   return true;

      if ((separator.equals("\\"))&&(permission.equals(sysdepdir)))

	   return true;

      return false;

  }



  public void setDir()

  {

     permission = sysdepdir;

  } 



  public void setDummyFileName()

  {

	filename = ".."+separator;

      setDir();

  }



  public boolean isDummyFileName()

  {

     String dummyname = ".."+separator;

     if (filename.equals(dummyname))

	  return true;

     return false;

  }



  public TreeNodeInfo (String fileInfo)

  {

    //System.out.println("TreeNodeInfo with :"+fileInfo+"-");

       

    permission = null;

    separator = File.separator;

    if (separator.equals("/"))

	 sysdepdir = "drwxr-xr-x";     //Unix

    else if (separator.equals("\\"))

	 sysdepdir = "<DIR>";          //WIN/NT



    String tokens[] = new String[16];

    int i = 0;

    StringTokenizer st = new StringTokenizer(fileInfo," ",false);

    while(st.hasMoreTokens()){

      tokens[i] = st.nextToken();

      //System.out.println("next token-"+tokens[i]+"-");

      i++;

    }



    if(separator.equals("/")){   //UNIX

  	 permission = tokens[0];

   	 ndirs      = tokens[1];

   	 user       = tokens[2];

   	 group      = tokens[3];

   	 filesize   = tokens[4];

   	 month      = tokens[5];

   	 day        = tokens[6];

   	 time       = tokens[7]; 

   	 filename   = tokens[8];

   	 for(int j=9;j<i;j++)

    	  filename += " "+tokens[j];

    

    }

    else if (separator.equals("\\")){    //WIN/NT

       st = new StringTokenizer(tokens[0],"/",false);

	 try{

       	month    = (String)st.nextToken();

       	day      = (String)st.nextToken();

       	year     = (String)st.nextToken();



            time     = tokens[1];

            filesize = tokens[2];

	      filename = tokens[3];

 	      for(int j=4;j<i;j++)

    	  	   filename += " "+tokens[j];

            

	      if (tokens[2].equals(sysdepdir))

	        permission = tokens[2];

            else

	       permission = "    "; 

        }catch(NoSuchElementException e) { filename = tokens[0];permission = tokens[0];}

     }  



     nitems = i;

     if (i == 1){ // directory name

	  //System.out.println("One TOken :-"+tokens[0]+"-");

    	  filename   = tokens[0];

	  //remove any trailing separator char

	  if (filename.endsWith(separator)){

	    //System.out.println("One TOken :-"+tokens[0]+"-"+" remove trailing char ");

	    filename = filename.substring(0,filename.length()-1);

        }

     }

  }

  

  public String toString()

  {

    return filename;

  }

   

}







class TreeNodeInfoX

{

  String permission,ndirs,user,group,filesize,month,day,time,filename;

  int    nitems;

  

  public TreeNodeInfoX (String fileInfo)

  {

    String tokens[] = new String[16];

    int i = 0;

    StringTokenizer st = new StringTokenizer(fileInfo," ",false);

    while(st.hasMoreTokens()){

      tokens[i] = st.nextToken();

      //System.out.println("next token "+tokens[i]);

      i++;

      

    }

    permission = tokens[0];

    ndirs      = tokens[1];

    user       = tokens[2];

    group      = tokens[3];

    filesize   = tokens[4];

    month      = tokens[5];

    day        = tokens[6];

    time       = tokens[7]; 

    filename   = tokens[8];

    for(int j=9;j<i;j++)

      filename += " "+tokens[j];

    

    if (i == 1) // directory name

      filename   = permission;

    nitems = i;

    

  }

  

  public String toString()

  {

    return filename;

  }

   

}

